Subject: bug#63127: 29.0.90; Tramp all-completions errors with internal error

From: Daniel Mendler <[email-masked]>
Date: Fri, 28 Apr 2023 14:22:35 +0200

On 4/28/23 12:57, Michael Albinus wrote:
>>> Could you please be more specific about "complete at all"? Do you mean
>>> no candidates are shown at all? I cc'ed Manuel Uberti. Afaik he tested
>>> Tramp 2.6.0.3 (or the Tramp version on the Emacs master branch) with
>>> Vertico and it works as expected. Maybe he can confirm that everything
>>> is still functional?
>>
>> Yes, I can confirm everything still works as expected on the master branch.
> 
> This simply proves that I'm not able to use Vertico properly :-)

Vertico behaves like familiar menus in web browsers for example. In web
browsers, when you enter something in the address line, the recent URLs
are offered for selection. You can either submit your input or select
move up or down and then submit with RET. In Vertico with Tramp do you
see files offered for completion?

Daniel